---
title: Get app
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Flagship](https://developers.cloudflare.com/api/go/resources/flagship)

[Apps](https://developers.cloudflare.com/api/go/resources/flagship/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get app

client.Flagship.Apps.Get(ctx, appID, query) (\*[AppGetResponse](<https://developers.cloudflare.com/api/go/resources/flagship#(resource)%20flagship.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/flagship/apps/{app\_id}

Returns an app’s name and audit fields. Flag definitions are not included.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Flagship Read``Flagship Write`

##### ParametersExpand Collapse

appID string

Flagship app ID returned when the app was created.

[Link to this property](<#(resource)%20flagship.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

<details>

<summary>

query AppGetParams

</summary>

AccountID param.Field\[string]

Cloudflare account ID that owns the Flagship app.

<a href="#(resource)%20flagship.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20flagship.apps%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AppGetResponse struct{…}

</summary>

ID string

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt string

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

Name string

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

UpdatedAt string

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

UpdatedBy string

Email of the actor who last modified the app, or <code>unknown</code> when unavailable.

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)%20%3E%20(property)%20updated_by">Link to this property</a>

</details>

[Link to this property](<#(resource)%20flagship.apps%20%3E%20(model)%20AppGetResponse%20%3E%20(schema)>)

### Get app

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/flagship"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  app, err := client.Flagship.Apps.Get(
    context.TODO(),
    "app_id",
    flagship.AppGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", app.ID)
}
```

200 example

```
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
```